CREATE TABLE loy_tier_int (
    LOY_TIER_INT_ID          NUMBER(18, 0) ,
    BATCH_ID                 NUMBER(18, 0) ,
    IMPORT_STATUS_CODE       VARCHAR2(120) ,
    INTERFACE_ROW_ID         NUMBER(18, 0) ,
    ACTION_CODE              VARCHAR2(120) ,
    INTERNAL_ACTION_CODE     VARCHAR2(120) ,
    INTERNAL_TIER_OVN        NUMBER(9, 0)  ,
    REQUEST_ID               NUMBER(18, 0) ,
    CREATED_BY               VARCHAR2(256) ,
    LAST_UPDATED_BY          VARCHAR2(256) ,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CREATION_DATE            TIMESTAMP(6)  ,
    LAST_UPDATE_DATE         TIMESTAMP(6)  ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    LOY_TIER_ID              NUMBER(18, 0) ,
    CARD_DESC_TEXT           VARCHAR2(1000),
    CARD_TYPE_CODE           VARCHAR2(120) ,
    DEM_TIER_ID              NUMBER(18, 0) ,
    DESC_TEXT                VARCHAR2(1000),
    DWNGRD_APPRV_FLAG        VARCHAR2(4)   ,
    EXPIRE_POINTS_FLAG       VARCHAR2(4)   ,
    EXP_SNAPTO_CODE          VARCHAR2(120) ,
    EXTENSION_DAYS_NUM       NUMBER(22, 0) ,
    GRACE_PERIOD_LEN         NUMBER(22, 7) ,
    GRACE_PERIOD_UOM         VARCHAR2(120) ,
    LOUNGE_CODE              VARCHAR2(120) ,
    LOUNGE_DESC_TEXT         VARCHAR2(1000),
    LWST_DEM_TIER_ID         NUMBER(18, 0) ,
    NAME                     VARCHAR2(120) ,
    NON_QUAL_EXP_LEN         NUMBER(22, 7) ,
    NON_QUAL_EXP_UOM         VARCHAR2(120) ,
    ONLY_ACTIVITY_FLAG       VARCHAR2(4)   ,
    POINT_TYPE_A_REQ         NUMBER(22, 7) ,
    POINT_TYPE_B_REQ         NUMBER(22, 7) ,
    POINT_TYPE_C_REQ         NUMBER(22, 7) ,
    POINT_TYPE_D_REQ         NUMBER(22, 7) ,
    QUAL_EXP_LEN             NUMBER(22, 7) ,
    QUAL_EXP_UOM             VARCHAR2(120) ,
    QUAL_PERIOD_LEN          NUMBER(22, 7) ,
    QUAL_PERIOD_UOM          VARCHAR2(120) ,
    REQUAL_PERIOD_LEN        NUMBER(22, 7) ,
    REQUAL_PERIOD_UOM        VARCHAR2(120) ,
    SEQ_NUM                  NUMBER(22, 0) ,
    SHOW_FLAG                VARCHAR2(4)   ,
    STMT_FREQ_CODE           VARCHAR2(120) ,
    TIER_CLASS_ID            NUMBER(18, 0) ,
    LOY_TIER_INT_ID          NUMBER(18, 0) ,
    BATCH_ID                 NUMBER(18, 0) ,
    IMPORT_STATUS_CODE       VARCHAR2(120) ,
    INTERFACE_ROW_ID         NUMBER(18, 0) ,
    ACTION_CODE              VARCHAR2(120) ,
    INTERNAL_ACTION_CODE     VARCHAR2(120) ,
    INTERNAL_TIER_OVN        NUMBER(9, 0)  ,
    REQUEST_ID               NUMBER(18, 0) ,
    CREATED_BY               VARCHAR2(256) ,
    LAST_UPDATED_BY          VARCHAR2(256) ,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CREATION_DATE            TIMESTAMP(6)  ,
    LAST_UPDATE_DATE         TIMESTAMP(6)  ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    LOY_TIER_ID              NUMBER(18, 0) ,
    CARD_DESC_TEXT           VARCHAR2(1000),
    CARD_TYPE_CODE           VARCHAR2(120) ,
    DEM_TIER_ID              NUMBER(18, 0) ,
    DESC_TEXT                VARCHAR2(1000),
    DWNGRD_APPRV_FLAG        VARCHAR2(4)   ,
    EXPIRE_POINTS_FLAG       VARCHAR2(4)   ,
    EXP_SNAPTO_CODE          VARCHAR2(120) ,
    EXTENSION_DAYS_NUM       NUMBER(22, 0) ,
    GRACE_PERIOD_LEN         NUMBER(22, 7) ,
    GRACE_PERIOD_UOM         VARCHAR2(120) ,
    LOUNGE_CODE              VARCHAR2(120) ,
    LOUNGE_DESC_TEXT         VARCHAR2(1000),
    LWST_DEM_TIER_ID         NUMBER(18, 0) ,
    NAME                     VARCHAR2(120) ,
    NON_QUAL_EXP_LEN         NUMBER(22, 7) ,
    NON_QUAL_EXP_UOM         VARCHAR2(120) ,
    ONLY_ACTIVITY_FLAG       VARCHAR2(4)   ,
    POINT_TYPE_A_REQ         NUMBER(22, 7) ,
    POINT_TYPE_B_REQ         NUMBER(22, 7) ,
    POINT_TYPE_C_REQ         NUMBER(22, 7) ,
    POINT_TYPE_D_REQ         NUMBER(22, 7) ,
    QUAL_EXP_LEN             NUMBER(22, 7) ,
    QUAL_EXP_UOM             VARCHAR2(120) ,
    QUAL_PERIOD_LEN          NUMBER(22, 7) ,
    QUAL_PERIOD_UOM          VARCHAR2(120) ,
    REQUAL_PERIOD_LEN        NUMBER(22, 7) ,
    REQUAL_PERIOD_UOM        VARCHAR2(120) ,
    SEQ_NUM                  NUMBER(22, 0) ,
    SHOW_FLAG                VARCHAR2(4)   ,
    STMT_FREQ_CODE           VARCHAR2(120) ,
    TIER_CLASS_ID            NUMBER(18, 0) ,
    CONSTRAINT pk_loy_tier_int PRIMARY KEY (BATCH_ID, INTERFACE_ROW_ID, BATCH_ID, INTERFACE_ROW_ID)
);
